/*  lircrc-config pretends to be a GUI for LIRC's rc files.
    Copyright (C) 2001 Manuel Estrada Sainz <ranty@atdot.org>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

#ifndef PARSER_TAB_H
#define PARSER_TAB_H
#include <lirc/lirc_client.h>
#include "comments.h"

enum mode_comments {
	lirc_mode_com_begin,
	lirc_mode_com_end,
	lirc_mode_com_TOTAL
};

enum begin_entry_comments {
  	lirc_com_tag,
	lirc_com_entry,
	lirc_com_prog,
	lirc_com_remote,
	lirc_com_repeat,
	lirc_com_mode,
	lirc_com_flags,
	lirc_com_end,
	lirc_com_TOTAL
};
enum begin_code_comments {
	lirc_com_code_button,
	lirc_com_code_remote
};
struct lirc_config *parse_config_file (const char *file);
struct lirc_config *parse_config_text (const char *str); 
void config_2_g_string(GString *str, struct lirc_config *config);
#endif
